Bug 1220816 - Attempt to associate the HTTP content source with repository displays JBWEB000065: HTTP Status 404 error
Summary: Attempt to associate the HTTP content source with repository displays JBWEB00...
Status: CLOSED ERRATA
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Content
Version: JON 3.3.2
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ER01
: JON 3.3.3
Assignee: Libor Zoubek
QA Contact: Matt Mahoney
URL:
Whiteboard:
Keywords: Triaged
Depends On: 1220818
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-12 14:14 UTC by bkramer
Modified: 2015-11-02 00:44 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-07-30 16:43:26 UTC


Attachments (Terms of Use)
Result Pic (57.14 KB, image/png)
2015-07-14 17:18 UTC, Matt Mahoney
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1525 normal SHIPPED_LIVE Moderate: Red Hat JBoss Operations Network 3.3.3 update 2015-07-30 20:41:08 UTC
Red Hat Knowledge Base (Solution) 1446383 None None None Never

Description bkramer 2015-05-12 14:14:18 UTC
Description of problem:
Attempt to associate the HTTP content source with repository displays JBWEB000065: HTTP Status 404 - /rhq/content/repoAssociations-plain.xhtml

Version-Release number of selected component (if applicable):
JBoss ON 3.3.2

How reproducible:
Always

Steps to Reproduce:
1. Install and configure JBoss ON 3.3.2
2. From JBoss ON UI navigate to Administration -> Content Source and press "Create New" button; 
3. Click on HTTP Content Source;
4. Define the content source type in the following way:

       Name: Test
       Root Url: http://test.example.redhat.com (for instance)
       Index File: content-index.txt 

5. Click on "Add New" button to add new Package Type;
6. Configure the following properties:
      
       Resource Type Name: Tomcat Server
       Architecture Name: noarch
       Package Type Name: war 
       Resource Type Plugin Name: Tomcat
       Filename Filer: */.war

7.  Press "OK" button to save above configuration and confirm that Test content source is created.
8.  From Administration -> navigate to Repositories and click on "Create New" button to create new repository;
9.  Name: TestRepo and click on "Save";
10. Click on "TestRepo" link name and click on "Associate..." button in "Content Sources Associated with This Repository" section;
11. Click on the check box next to the "Test" content source in the "Available Content Sources" and press "Associate selected" button;


Actual results: 

The following error is shown:

*****************************
JBWEB000065: HTTP Status 404 - /rhq/content/repoAssociations-plain.xhtml


JBWEB000309: type JBWEB000067: Status report
JBWEB000068: message /rhq/content/repoAssociations-plain.xhtml
JBWEB000069: description JBWEB000124: The requested resource is not available.

JBoss Web/7.4.10.Final-redhat-1
*****************************

However, when navigate again to JBoss ON UI -> Administration -> Repositories -> TestRepo, Test content source will be associated with the repository!


Expected results:

Test content source is properly associated with the repository but no error is shown.

Additional info:

Comment 1 Libor Zoubek 2015-05-26 18:14:21 UTC
branch:  master
link:    https://github.com/rhq-project/rhq/commit/6363450e3
time:    2015-05-26 20:13:13 +0200
commit:  6363450e352457c72813a690212a7411967a55f4
author:  Libor Zoubek - lzoubek@redhat.com
message: Bug 1220816 - Attempt to associate the HTTP content source with
         repository displays JBWEB000065: HTTP Status 404 error

         fixed navigation rule

Comment 2 Michael Burman 2015-06-16 08:52:34 UTC
Cherry-picked to release/jon3.3.x:

commit 8da8bfcdaf1f64d9f10a7892b780850045ec396e
Author: Libor Zoubek <lzoubek@redhat.com>
Date:   Tue May 26 20:13:13 2015 +0200

    Bug 1220816 - Attempt to associate the HTTP content source with repository
    displays JBWEB000065: HTTP Status 404 error
    
    fixed navigation rule
    
    (cherry picked from commit 6363450e352457c72813a690212a7411967a55f4)

Comment 3 Simeon Pinder 2015-07-10 18:55:29 UTC
Available for test with 3.3.3 ER01 build: 
https://brewweb.devel.redhat.com/buildinfo?buildID=446732
 *Note: jon-server-patch-3.3.0.GA.zip maps to ER01 build of
 jon-server-3.3.0.GA-update-03.zip.

Comment 4 Matt Mahoney 2015-07-14 17:18:49 UTC
Created attachment 1051941 [details]
Result Pic

Comment 7 errata-xmlrpc 2015-07-30 16:43:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1525.html


Note You need to log in before you can comment on or make changes to this bug.